Gecode::Int::Branch::ValSelMax< View > Class Template Reference
Other available functionality » Integer value selection for brancher

Value selection class for maximum of view. More...

`#include <branch.hh>`

## Public Member Functions

| ValSelMax (Space &home, const ValBranch< Var > &vb)
| Constructor for initialization.
| ValSelMax (Space &home, ValSelMax &vs)
| Constructor for cloning.
int | val (const Space &home, View x, int i)
| Return value of view x at position i.
Public Member Functions inherited from Gecode::ValSel< View, int >
| ValSel (Space &home, const ValBranch< Var > &vb)
| Constructor for initialization.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete value selection.

## Additional Inherited Members

Public Types inherited from Gecode::ValSel< View, int >
typedef View | View
| View type.
typedef View::VarType | Var
| Corresponding variable type.
typedef int | Val
| Value type.

## Detailed Description

template<class View>
class Gecode::Int::Branch::ValSelMax< View >

Value selection class for maximum of view.

Requires

#include <gecode/int/branch.hh>
branch.hh

Definition at line 299 of file branch.hh.

## Constructor & Destructor Documentation

## ValSelMax() [1/2]

template<class View>

Gecode::Int::Branch::ValSelMax< View >::ValSelMax | ( | Space & | home,
|  | const ValBranch< Var > & | vb )

Constructor for initialization.

## ValSelMax() [2/2]

template<class View>

Gecode::Int::Branch::ValSelMax< View >::ValSelMax | ( | Space & | home,
|  | ValSelMax< View > & | vs )

inline

Constructor for cloning.

Definition at line 58 of file val-sel.hpp.

## Member Function Documentation

## val()

template<class View>

int Gecode::Int::Branch::ValSelMax< View >::val | ( | const Space & | home,
|  | View | x,
|  | int | i )

inline

Return value of view x at position i.

Definition at line 62 of file val-sel.hpp.

The documentation for this class was generated from the following files:

- gecode/int/branch.hh
- gecode/int/branch/val-sel.hpp